{% extends 'base.html' %}
<!DOCTYPE html>
<html lang="en">
	<head>
		<title>{% block title %}Events | KBI Student Union{% endblock title %}
	</head>
	<body>
		{% block content %}

		<h2><strong>All events</strong></h2>
		<h4>View all events and sign yourself up here.</h4>

		{% if events_list %}
		<div class="table-responsive my-5">
			<table class="table">
				<thead>
					<tr>
						<th>Name</th>
						<th>Date/Time</th>
						<th>Description</th>
						<th>Entrants</th>
					</tr>
				</thead>
				<tbody>
					{% for event in events_list %}
					<tr>
						<td><strong>{{event.name}}</strong><br><i>{{event.category}}</i></td>
						<td><strong>{{event.date|date:"d/m/Y"}}</strong><br>{{event.start_time|time:"H:i"}}-{{event.end_time|time:"H:i"}}<br>@{{event.location}}</td>
						<td>{{event.description}}</td>
						<td><button class="btn btn-primary">Participate</button></td>
					</tr>
					{% endfor %}
				</tbody>
			</table>
		</div>
		{% else %}
		<div class="container my-5 text-center">
			Sorry, there are no current events.<br><strong>Check back soon!</strong>
		</div>
		{% endif %}
		{% endblock content %}
	</body>
</html>